.iconed {
  list-style: none;
  white-space: nowrap;

  > div.icon-container {
    display: inline-block;
    width: 0px;

    > * {
      position: relative;
      left: -1.45em;
      font-size: 0.8em;
      vertical-align: baseline;
    }
  }

  > span.iconed-content,
  > div.iconed-content {
    white-space: normal;
  }

  > div.iconed-content {
    display: inline-block;
  }
}

summary.iconed {
  margin-left: 1.5em;

  &::-webkit-details-marker {
    display: none;
  }
}

@include details-influence(
  (
    summary: 'summary.iconed',
    display: inline-block,
  )
);

details.iconed-switch {
  width: 1.5em;
  height: 1.5em;
}

details.iconed-switch.iconed-switch-circle {
  background: rgba(255, 255, 255, 0.75);
  border-radius: 50px;
}
